| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_listing Class Reference
API

class holding optional parameters used to list the contents of an existing archive More...

`#include <archive_options.hpp>`

Inherited by libdar::archive_options_listing_shell, and libdar::archive_options_listing_shell.

## Public Member Functions
| archive_options_listing (const archive_options_listing &ref)
| archive_options_listing (archive_options_listing &&ref) noexcept
archive_options_listing & | operator= (const archive_options_listing &ref)
archive_options_listing & | operator= (archive_options_listing &&ref) noexcept
virtual void | clear ()
void | set_info_details (bool info_details)
| whether output should be verbosed --> to be moved to shell output
void | set_selection (const mask &selection)
| mask applied to filename, only those marching it will be listed
void | set_subtree (const mask &subtree)
| defines the directories and files to consider
void | set_filter_unsaved (bool filter_unsaved)
| whether to only show entries that have their data fully saved
void | set_slicing_location (bool val)
| whether to calculate the slice location of each file
void | set_user_slicing (const infinint &slicing_first, const infinint &slicing_others)
| when slice location is performed, user may modify the slice layout of the archive
void | set_display_ea (bool display_ea)
| whether to fetch EA for listing
bool | get_info_details () const
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_filter_unsaved () const
bool | get_user_slicing (infinint &slicing_first, infinint &slicing_others) const
bool | get_slicing_location () const
bool | get_display_ea () const
| archive_options_listing (const archive_options_listing &ref)
| archive_options_listing (archive_options_listing &&ref) noexcept
archive_options_listing & | operator= (const archive_options_listing &ref)
archive_options_listing & | operator= (archive_options_listing &&ref) noexcept
virtual void | clear ()
void | set_info_details (bool info_details)
| whether output should be verbosed --> to be moved to shell output
void | set_selection (const mask &selection)
| mask applied to filename, only those marching it will be listed
void | set_subtree (const mask &subtree)
| defines the directories and files to consider
void | set_filter_unsaved (bool filter_unsaved)
| whether to only show entries that have their data fully saved
void | set_slicing_location (bool val)
| whether to calculate the slice location of each file
void | set_user_slicing (const infinint &slicing_first, const infinint &slicing_others)
| when slice location is performed, user may modify the slice layout of the archive
void | set_display_ea (bool display_ea)
| whether to fetch EA for listing
bool | get_info_details () const
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_filter_unsaved () const
bool | get_user_slicing (infinint &slicing_first, infinint &slicing_others) const
bool | get_slicing_location () const
bool | get_display_ea () const

## Private Member Functions
void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_listing &ref)
void | move_from (archive_options_listing &&ref) noexcept
void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_listing &ref)
void | move_from (archive_options_listing &&ref) noexcept

## Private Attributes
bool | x_info_details
mask * | x_selection
mask * | x_subtree
bool | x_filter_unsaved
infinint * | x_slicing_first
infinint * | x_slicing_others
bool | x_slicing_location
bool | x_display_ea

## Detailed Description

class holding optional parameters used to list the contents of an existing archive

Definition at line 1513 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## Constructor & Destructor Documentation

## ◆ archive_options_listing() [1/6]

libdar::archive_options_listing::archive_options_listing | ( |  | ) |
| inline

Definition at line 1516 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ archive_options_listing() [2/6]

libdar::archive_options_listing::archive_options_listing | ( | const archive_options_listing & | ref | ) |
| inline

Definition at line 1517 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ archive_options_listing() [3/6]

libdar::archive_options_listing::archive_options_listing | ( | archive_options_listing && | ref | ) |
| inline noexcept

Definition at line 1518 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ ~archive_options_listing() [1/2]

virtual libdar::archive_options_listing::~archive_options_listing | ( |  | ) |
| inline virtual

Definition at line 1521 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ archive_options_listing() [4/6]

libdar::archive_options_listing::archive_options_listing | ( |  | ) |
| inline

Definition at line 1516 of file src/libdar/archive_options.hpp.

## ◆ archive_options_listing() [5/6]

libdar::archive_options_listing::archive_options_listing | ( | const archive_options_listing & | ref | ) |
| inline

Definition at line 1517 of file src/libdar/archive_options.hpp.

## ◆ archive_options_listing() [6/6]

libdar::archive_options_listing::archive_options_listing | ( | archive_options_listing && | ref | ) |
| inline noexcept

Definition at line 1518 of file src/libdar/archive_options.hpp.

## ◆ ~archive_options_listing() [2/2]

virtual libdar::archive_options_listing::~archive_options_listing | ( |  | ) |
| inline virtual

Definition at line 1521 of file src/libdar/archive_options.hpp.

## Member Function Documentation

## ◆ get_display_ea() [1/2]

bool libdar::archive_options_listing::get_display_ea | ( |  | ) | const
| inline

Definition at line 1578 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ get_display_ea() [2/2]

bool libdar::archive_options_listing::get_display_ea | ( |  | ) | const
| inline

Definition at line 1578 of file src/libdar/archive_options.hpp.

## ◆ get_filter_unsaved() [1/2]

bool libdar::archive_options_listing::get_filter_unsaved | ( |  | ) | const
| inline

Definition at line 1575 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ get_filter_unsaved() [2/2]

bool libdar::archive_options_listing::get_filter_unsaved | ( |  | ) | const
| inline

Definition at line 1575 of file src/libdar/archive_options.hpp.

## ◆ get_info_details() [1/2]

bool libdar::archive_options_listing::get_info_details | ( |  | ) | const
| inline

Definition at line 1572 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ get_info_details() [2/2]

bool libdar::archive_options_listing::get_info_details | ( |  | ) | const
| inline

Definition at line 1572 of file src/libdar/archive_options.hpp.

## ◆ get_slicing_location() [1/2]

bool libdar::archive_options_listing::get_slicing_location | ( |  | ) | const
| inline

Definition at line 1577 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ get_slicing_location() [2/2]

bool libdar::archive_options_listing::get_slicing_location | ( |  | ) | const
| inline

Definition at line 1577 of file src/libdar/archive_options.hpp.

## ◆ operator=() [1/4]

archive_options_listing & libdar::archive_options_listing::operator= | ( | archive_options_listing && | ref | ) |
| inline noexcept

Definition at line 1520 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ operator=() [2/4]

archive_options_listing & libdar::archive_options_listing::operator= | ( | archive_options_listing && | ref | ) |
| inline noexcept

Definition at line 1520 of file src/libdar/archive_options.hpp.

## ◆ operator=() [3/4]

archive_options_listing & libdar::archive_options_listing::operator= | ( | const archive_options_listing & | ref | ) |
| inline

Definition at line 1519 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ operator=() [4/4]

archive_options_listing & libdar::archive_options_listing::operator= | ( | const archive_options_listing & | ref | ) |
| inline

Definition at line 1519 of file src/libdar/archive_options.hpp.

## ◆ set_display_ea() [1/2]

void libdar::archive_options_listing::set_display_ea | ( | bool | display_ea | ) |
| inline

whether to fetch EA for listing

Note
  this operation implies a lot of processing

Definition at line 1566 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ set_display_ea() [2/2]

void libdar::archive_options_listing::set_display_ea | ( | bool | display_ea | ) |
| inline

whether to fetch EA for listing

Note
  this operation implies a lot of processing

Definition at line 1566 of file src/libdar/archive_options.hpp.

## ◆ set_filter_unsaved() [1/2]

void libdar::archive_options_listing::set_filter_unsaved | ( | bool | filter_unsaved | ) |
| inline

whether to only show entries that have their data fully saved

Definition at line 1551 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ set_filter_unsaved() [2/2]

void libdar::archive_options_listing::set_filter_unsaved | ( | bool | filter_unsaved | ) |
| inline

whether to only show entries that have their data fully saved

Definition at line 1551 of file src/libdar/archive_options.hpp.

## ◆ set_info_details() [1/2]

void libdar::archive_options_listing::set_info_details | ( | bool | info_details | ) |
| inline

whether output should be verbosed --> to be moved to shell output

Definition at line 1530 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ set_info_details() [2/2]

void libdar::archive_options_listing::set_info_details | ( | bool | info_details | ) |
| inline

whether output should be verbosed --> to be moved to shell output

Definition at line 1530 of file src/libdar/archive_options.hpp.

## ◆ set_selection() [1/2]

void libdar::archive_options_listing::set_selection | ( | const mask & | selection | ) |

mask applied to filename, only those marching it will be listed

Note
  this mask does not reject directory (it does not apply to it)

## ◆ set_selection() [2/2]

void libdar::archive_options_listing::set_selection | ( | const mask & | selection | ) |

mask applied to filename, only those marching it will be listed

Note
  this mask does not reject directory (it does not apply to it)

## ◆ set_slicing_location() [1/2]

void libdar::archive_options_listing::set_slicing_location | ( | bool | val | ) |
| inline

whether to calculate the slice location of each file

Definition at line 1554 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ set_slicing_location() [2/2]

void libdar::archive_options_listing::set_slicing_location | ( | bool | val | ) |
| inline

whether to calculate the slice location of each file

Definition at line 1554 of file src/libdar/archive_options.hpp.

## ◆ set_subtree() [1/2]

void libdar::archive_options_listing::set_subtree | ( | const mask & | subtree | ) |

defines the directories and files to consider

Note
  WARNING: The filter mechanism used here is common to all operations and works by comparing full paths, while in the other hand, paths stored in the libdar archive are all relative to what was provided as fs_root at backup time. To have this filter mecanism working in the context of listing, where no fs_root can be provided to transform relative paths to absolute paths, libdar will emulate an fs_root with the pseudo root value of the path::FAKE_ROOT field. This is invisible form the libdar API user except when relying on mask_list objects, which cannot thus receive full path as those would not be prepended by path::FAKE_ROOT as fs_root value, because fs_root prefixing is only performed for relative paths.

## ◆ set_subtree() [2/2]

void libdar::archive_options_listing::set_subtree | ( | const mask & | subtree | ) |

defines the directories and files to consider

Note
  WARNING: The filter mechanism used here is common to all operations and works by comparing full paths, while in the other hand, paths stored in the libdar archive are all relative to what was provided as fs_root at backup time. To have this filter mecanism working in the context of listing, where no fs_root can be provided to transform relative paths to absolute paths, libdar will emulate an fs_root with the pseudo root value of the path::FAKE_ROOT field. This is invisible form the libdar API user except when relying on mask_list objects, which cannot thus receive full path as those would not be prepended by path::FAKE_ROOT as fs_root value, because fs_root prefixing is only performed for relative paths.

## ◆ set_user_slicing() [1/2]

void libdar::archive_options_listing::set_user_slicing | ( | const infinint & | slicing_first,
|  | const infinint & | slicing_others )

when slice location is performed, user may modify the slice layout of the archive

Note
  this is needed for archive format older than 8 and when listing an isolated catalogue which original archive has been resized after the isolation operation. This option is not used if set_slicing_location is set to false

## ◆ set_user_slicing() [2/2]

void libdar::archive_options_listing::set_user_slicing | ( | const infinint & | slicing_first,
|  | const infinint & | slicing_others )

when slice location is performed, user may modify the slice layout of the archive

Note
  this is needed for archive format older than 8 and when listing an isolated catalogue which original archive has been resized after the isolation operation. This option is not used if set_slicing_location is set to false

## Member Data Documentation

## ◆ x_display_ea

bool libdar::archive_options_listing::x_display_ea
| private

Definition at line 1588 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_filter_unsaved

bool libdar::archive_options_listing::x_filter_unsaved
| private

Definition at line 1584 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_info_details

bool libdar::archive_options_listing::x_info_details
| private

Definition at line 1581 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_selection

mask * libdar::archive_options_listing::x_selection
| private

Definition at line 1582 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_slicing_first

infinint * libdar::archive_options_listing::x_slicing_first
| private

Definition at line 1585 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_slicing_location

bool libdar::archive_options_listing::x_slicing_location
| private

Definition at line 1587 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_slicing_others

infinint * libdar::archive_options_listing::x_slicing_others
| private

Definition at line 1586 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

## ◆ x_subtree

mask * libdar::archive_options_listing::x_subtree
| private

Definition at line 1583 of file dar64-2.8.3-win64/include/dar/archive_options.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/archive_options.hpp
- src/libdar/archive_options.hpp